### Constructor

# Gimp Vectors new

since: 2.4

#### Declaration [src]

    GimpVectors*
    gimp_vectors_new (
      GimpImage* image,
      const gchar* name
    )

#### Description [src]

Creates a new empty vectors object.

Creates a new empty vectors object. The vectors object needs to be added to the image using gimp_image_insert_vectors().

Available since: 2.4

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name of the new vector object.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpVectors`

         the current vector object, 0 if no vector exists in the image.

The data is owned by the called function.